低危 389-ds-base 至 1.3.5.16/1.3.6.9 ns-slapd LDAP Bind Request 空指针解引用漏洞

CVE编号

CVE-2017-2668

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-23
漏洞描述
版本1.3.5.17和1.3.6.10之前的389-ds-base在处理LDAP绑定请求的方式中容易受到无效指针解除引用的影响。远程未经身份验证的攻击者可能会利用此漏洞通过特制的LDAP绑定请求使ns-slapd崩溃,从而导致拒绝服务。

解决建议
用户可参考如下厂商提供的安全补丁以修复该漏洞:
https://bugzilla.redhat.com/show_bug.cgi?id=1436575
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 fedoraproject 389_directory_server * From
(including)
1.3.5.0
Up to
(excluding)
1.3.5.17
运行在以下环境
应用 fedoraproject 389_directory_server * From
(including)
1.3.6.0
Up to
(excluding)
1.3.6.10
运行在以下环境
系统 amazon_AMI 389-ds-base * Up to
(excluding)
1.3.5.10-20.50.amzn1
运行在以下环境
系统 centos_6 389-ds-base * Up to
(excluding)
1.2.11.15-91.el6_9
运行在以下环境
系统 centos_7 389-ds-base * Up to
(excluding)
1.3.5.10-20.el7_3
运行在以下环境
系统 opensuse_Leap_42.2 389-ds-base * Up to
(excluding)
1.3.4.5-8.1
运行在以下环境
系统 opensuse_Leap_42.3 389-ds-base * Up to
(excluding)
1.3.4.5-8.1
运行在以下环境
系统 oracle_6 389-ds-base * Up to
(excluding)
1.2.11.15-91.el6_9
运行在以下环境
系统 oracle_7 389-ds-base * Up to
(excluding)
1.3.5.10-20.el7_3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况